#include <iostream>
using namespace std;
int main()
{
    int n, k;
    cin>>n>>k;
    int a[n];
    for (int i=0; i<n; i++)
        cin>>a[i];
    int b[2*n+1];
    for (int i=-n; i<=n; i++)
        b[i]=0;
    for (int i=0; i<n; i++)
        b[a[i]]++;
    for (int i=-n; i<=n; i++)
    {
        if (b[i]>=k)
            cout<<i<<" ";
    }
}